<?php
$this->layout = false;

use CrmSpreadsheet\CrmSpreadsheet;
use PhpOffice\PhpSpreadsheet\Writer\Xlsx;
use PhpOffice\PhpSpreadsheet\Cell\Coordinate;

$spreadsheet = new CrmSpreadsheet();
$spreadsheet->setDefaults();
$spreadsheet->getProperties()->setTitle("Clientes aguardando cancelamento");

$abaAnalitico = $spreadsheet->getActiveSheet();

$abaAnalitico->setTitle("Listagem");

$header = array(
    array(
        'name' => 'Mês',
        'width' => 'auto',
        'wrap' => false
    ),
    array(
        'name' => 'Ano',
        'width' => 'auto',
        'wrap' => false
    ),
    array(
        'name' => 'CNPJ',
        'width' => 'auto',
        'wrap' => false
    ),
    array(
        'name' => 'Razão Social',
        'width' => 'auto',
        'wrap' => false
    ),
    array(
        'name' => 'Contratação',
        'width' => 'auto',
        'wrap' => false
    ),
    array(
        'name' => 'Valor',
        'width' => 'auto',
        'wrap' => false
    ),
    array(
        'name' => 'Us.',
        'width' => 'auto',
        'wrap' => false
    ),
    array(
        'name' => 'Cidade',
        'width' => 'auto',
        'wrap' => false
    ),
    array(
        'name' => 'UF',
        'width' => 'auto',
        'wrap' => false
    ),
    array(
        'name' => 'Revenda',
        'width' => 'auto',
        'wrap' => false
    ),
    array(
        'name' => 'obs.',
        'width' => 'auto',
        'wrap' => false
    ),
    array(
        'name' => 'Término do contrato',
        'width' => 'auto',
        'wrap' => false
    ),
    array(
        'name' => 'Motivo',
        'width' => 'auto',
        'wrap' => false
    ),
    array(
        'name' => 'Motivo Vendedor',
        'width' => 'auto',
        'wrap' => false
    ),
    array(
        'name' => 'Empresa',
        'width' => 'auto',
        'wrap' => false
    ),
    array(
        'name' => 'Dia Vencimento',
        'width' => 'auto',
        'wrap' => false
    ),
    array(
        'name' => 'Lista',
        'width' => 'auto',
        'wrap' => false
    ),
    array(
        'name' => 'Ação',
        'width' => 'auto',
        'wrap' => false
    ),
);

$spreadsheet->createHeader($header, true);
$linha = 2;
foreach ($data as $key => $row) {
	$coluna = 1;
    
    $valor = ExcelUtil::parseValue($row->RCC_MES);
	$abaAnalitico->setCellValueByColumnAndRow($coluna, $linha, $valor);
	$coluna++;

	$valor = ExcelUtil::parseValue($row->RCC_ANO);
	$abaAnalitico->setCellValueByColumnAndRow($coluna, $linha, $valor);
	$coluna++;

	$valor = ExcelUtil::parseValue($row->RCC_CNPJ);
	$abaAnalitico->setCellValueByColumnAndRow($coluna, $linha, $valor);
	$coluna++;

	$valor = ExcelUtil::parseValue($row->RCC_RAZAO);
	$abaAnalitico->setCellValueByColumnAndRow($coluna, $linha, $valor);
	$coluna++;

	$valor = ExcelUtil::parseValue($row->RCC_CONTRATACAO);
	$abaAnalitico->setCellValueByColumnAndRow($coluna, $linha, $valor);
	$coluna++;

	$valor = ExcelUtil::parseValue($row->RCC_VALOR);
	$abaAnalitico->setCellValueByColumnAndRow($coluna, $linha, $valor);
	$coluna++;

	$valor = ExcelUtil::parseValue($row->RCC_USUARIOS);
	$abaAnalitico->setCellValueByColumnAndRow($coluna, $linha, $valor);
	$coluna++;

	$valor = ExcelUtil::parseValue($row->RCC_CIDADE);
	$abaAnalitico->setCellValueByColumnAndRow($coluna, $linha, $valor);
	$coluna++;

	$valor = ExcelUtil::parseValue($row->RCC_UF);
	$abaAnalitico->setCellValueByColumnAndRow($coluna, $linha, $valor);
	$coluna++;

	$valor = ExcelUtil::parseValue($row->RCC_REVENDA);
	$abaAnalitico->setCellValueByColumnAndRow($coluna, $linha, $valor);
	$coluna++;

	$valor = ExcelUtil::parseValue($row->RCC_OBSERVACAO);
	$abaAnalitico->setCellValueByColumnAndRow($coluna, $linha, $valor);
	$coluna++;

	$valor = ExcelUtil::parseValue($row->RCC_TERMINO);
	$abaAnalitico->setCellValueByColumnAndRow($coluna, $linha, $valor);
	$coluna++;
	
	$valor = ExcelUtil::parseValue($row->RCC_MOTIVO);
	$abaAnalitico->setCellValueByColumnAndRow($coluna, $linha, $valor);
	$coluna++;

	$valor = ExcelUtil::parseValue($row->RCC_MOTIVOVENDEDOR);
	$abaAnalitico->setCellValueByColumnAndRow($coluna, $linha, $valor);
	$coluna++;

	$valor = ExcelUtil::parseValue($row->RCC_EMPRESA);
	$abaAnalitico->setCellValueByColumnAndRow($coluna, $linha, $valor);
	$coluna++;

	$valor = ExcelUtil::parseValue($row->RCC_VENCIMENTO);
	$abaAnalitico->setCellValueByColumnAndRow($coluna, $linha, $valor);
	$coluna++;

	$valor = ExcelUtil::parseValue($row->Lista->RCL_NOME);
	$abaAnalitico->setCellValueByColumnAndRow($coluna, $linha, $valor);
	$coluna++;

	$valor = ExcelUtil::parseValue($row->Acao->RCA_ACAO);
	$abaAnalitico->setCellValueByColumnAndRow($coluna, $linha, $valor);
	$coluna++;

	$linha++;
}
$spreadsheet->setActiveSheetIndex(0);

$writer = new Xlsx($spreadsheet);
$writer->save('php://output');
